routes/web.php
<?php

use App\Http\Controllers\DashboardController;
use App\Http\Controllers\InvitationController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\LogoutController;
use App\Http\Controllers\MessageController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::middleware(['auth'])->group(function () {
    # dashboard
    Route::get('/dashboard', DashboardController::class)->name('apps.dashboard.index');
    # messages
    Route::post('/messages', [MessageController::class, 'store'])->name('apps.message.store');
    # logout
    Route::post('/logout', LogoutController::class)->name('logout')->middleware(['auth']);
});

# invitations
Route::resource('/invitations', InvitationController::class, ['as' => 'apps']);

Route::middleware(['guest'])->group(function () {
    # login
    Route::get('/login', [LoginController::class, 'showLogin'])->name('login');
    Route::post('/login', [LoginController::class, 'loginUser'])->name('login');
});

resources/views/apps/layouts/partials/sidebar.blade.php
<ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

    {{-- sidebar brand --}}
    <a class="sidebar-brand d-flex align-items-center justify-content-center"
        href="{{ route('apps.dashboard.index') }}">
        <div class="sidebar-brand-icon rotate-n-15">
            <i class="fas fa-laugh-wink"></i>
        </div>
        <div class="sidebar-brand-text mx-3">Wedding</div>
    </a>

    {{-- divider --}}
    <hr class="sidebar-divider my-0">

    {{-- nav item - dashboard --}}
    <li class="nav-item {{ request()->routeIs('apps.dashboard.index') ? ' active' :  '' }}">
        <a class="nav-link" href="{{ route('apps.dashboard.index') }}">
            <i class="fas fa-fw fa-tachometer-alt"></i>
            <span>Dashboard</span>
        </a>
    </li>

    {{--  nav item - invitations --}}
    <li class="nav-item {{ request()->routeIs('apps.invitations*') ? ' active' :  '' }}">
        <a class="nav-link" 
            href="{{ route('apps.invitations.index') }}">
            <i class="fas fa-users fa-table"></i>
            <span>Tamu Undangan</span>
        </a>
    </li>

    {{-- sidebar toggler - sidebar --}}
    <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle"></button>
    </div>
</ul>

resources/views/apps/layouts/partials/top-bar.blade.php
<nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

  {{-- sidebar toggler - topbar --}}
  <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
    <i class="fa fa-bars"></i>
  </button>

  {{-- topbar navbar --}}
  <ul class="navbar-nav ml-auto">
    <li class="nav-item dropdown no-arrow d-sm-none">
      <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in" aria-labelledby="searchDropdown">
        <form class="form-inline mr-auto w-100 navbar-search">
          <div class="input-group">
            <input type="text" class="form-control bg-light border-0 small" placeholder="Search for..."
              aria-label="Search" aria-describedby="basic-addon2">
            <div class="input-group-append">
              <button class="btn btn-primary" type="button">
                <i class="fas fa-search fa-sm"></i>
              </button>
            </div>
          </div>
        </form>
      </div>
    </li>

    <div class="topbar-divider d-none d-sm-block"></div>

    {{-- nav item - user information --}}
    <li class="nav-item dropdown no-arrow">
      <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown"
        aria-haspopup="true" aria-expanded="false">
        <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ auth()->user()?->name }}</span>
      </a>
      {{-- dropdown - user information --}}
      <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
        <form action="{{ route('logout') }}" method="POST">
          @csrf
          <a class="dropdown-item" href="{{ route('logout') }}" data-toggle="modal"
            onclick="event.preventDefault(); this.closest('form').submit()">
            <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
            Logout
          </a>
        </form>
      </div>
    </li>
  </ul>

</nav>